Bug 1977454 - builds: e2e-proxy tests fail due to Redis security protections
Summary: builds: e2e-proxy tests fail due to Redis security protections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Adam Kaplan
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks: 1977710
TreeView+ depends on / blocked
 
Reported: 2021-06-29 19:25 UTC by Adam Kaplan
Modified: 2021-10-18 17:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:37:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26285 0 None closed Bug 1977454: Use nodejs to test service connection 2021-07-09 06:44:39 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:37:38 UTC

Description Adam Kaplan 2021-06-29 19:25:31 UTC
Description of problem:

The build in-cluster service test deploys a Redis service, then checks the service availability by running a `curl` command against the redis endpoint.
Newer versions of Redis won't allow these requests when proxy environment variables are set.


Version-Release number of selected component (if applicable): 4.8


How reproducible: Always


Steps to Reproduce:
1. Install OCP behind a proxy
2. Start a Redis service in a project
3. In the same project, start a build which connects to the redis service

Actual results:

Connection is aborted.
Redis error message:

```
# Possible SECURITY ATTACK detected. It looks like somebody is sending POST or Host: commands to Redis. This is likely due to an attacker attempting to use Cross Protocol Scripting to compromise your Redis instance. Connection aborted.
```


Expected results:

Connection succeeds

Additional info:

https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.9-e2e-aws-proxy/1409477255171674112

Comment 2 Jitendar Singh 2021-07-09 06:53:53 UTC
Verified
==============
Results for the openshift-ci test

[sig-builds][Feature:Builds] build can reference a cluster service with a build being created from new-build should be able to run a build that references a cluster service [Skipped:Disconnected] [Suite:openshift/conformance/parallel]

it passed

Comment 5 errata-xmlrpc 2021-10-18 17:37:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.